﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class DaimyoListManager : MonoBehaviour
{

    [SerializeField]

    private List<string> _daimyoNameList;

    private bool _isLoaded = false;

    public const int DaimoyCnt = 72;

    // Use this for initialization
    void Start()
    {
        if (!_isLoaded)
        {
            _daimyoNameList = new List<string>();

            GameObject daimyoCotent = GameObject.Find("DaimyoContent");
            GameObject prefab = (GameObject)Resources.Load("Prefab/DaimyoItemNode");

            for (int d = 0; d < DaimoyCnt; d++)
            {
                _daimyoNameList.Add(d.ToString());

                GameObject daimyoButton = Instantiate(prefab);
                var component = daimyoButton.GetComponent<DaimyoItemButtonClick>();
                component.ID = d;
                var dtext = daimyoButton.GetComponentInChildren<Text>();
                dtext.text = d.ToString();

                SetChild(daimyoCotent, daimyoButton, "DaimyoItemButton" + DaimoyCnt.ToString());
            }

            _isLoaded = true;
        }
    }

    public Transform SetChild(GameObject parent, GameObject child, string name = null)
    {
        // プレハブからインスタンスを生成
        GameObject obj = Instantiate(child);

        // 作成したオブジェクトを子として登録
        obj.transform.SetParent(parent.transform);

        obj.transform.localPosition = new Vector3(0f, 200f, 0f);
        obj.transform.localScale = new Vector3(1f, 1f, 1f);

        // 作成したオブジェクトの名前にが(Clone)がつかないようにプレハブの名前を再付与
        obj.name = (name != null) ? name : child.name;

        return obj.transform;
    }

    // Update is called once per frame
    void Update()
    {

    }
}
